当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 6 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 各位看看为什么我的Ku要自杀?
帖子发表于 : 2009-05-28 15:14 

注册: 2009-05-28 11:28
帖子: 79
送出感谢: 2
接收感谢: 0 次
我的系统是Ku8.10,我从网上下载了gcc4.3-base,安装未完成显示“依赖关系受损”。于是我按照Ku给出的修复办法(sudo apt-get install -f)执行,结果吓了我一跳,好像要把内核卸掉!我这是第二次遇到这种问题了。第一次按照Ku的说明执行后,kde就被卸掉了,只剩下终端了。请高手告知处理办法,不胜感激。
以下是我分别用 sudo apt-get remove 和 sudo apt-get install -f 所取得的结果: :em20


附件:
aaa.png
aaa.png [ 153.51 KiB | 被浏览 688 次 ]

bbb.png
bbb.png [ 203.49 KiB | 被浏览 676 次 ]



_________________
个位数价格米国高速VPN什么的最便宜了。cheapvpn@outlook.com
http://akari.li
页首
 用户资料  
 
2 楼 
 文章标题 : Re: 各位看看为什么我的Ku要自杀?
帖子发表于 : 2009-05-28 15:57 
头像

注册: 2006-05-20 14:03
帖子: 898
送出感谢: 0 次
接收感谢: 0 次
你要把gcc删了系统当然不干了,gcc4.3-base源里有啊,为什么从网上下呢。aptitude reinstall 试试行不


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 各位看看为什么我的Ku要自杀?
帖子发表于 : 2009-05-28 17:03 

注册: 2009-05-28 11:28
帖子: 79
送出感谢: 2
接收感谢: 0 次
先谢谢二楼的建议,还有几个问题。以下是终端的显示:
按'+'键来安装软件包
按'+M'安装软件包并且立即将它们标记为已安装状态
按'-'卸载软件包
按'_'清除软件包
按'='将软件包置于保持状态
按':'将维持软件包当前状态但是并不将其置于保持状态
按'&M'将软件包标记为自动安装
按'm'将软件包标记为手动安装
下列软件包存在未满足的依赖关系:
libstdc++6: 依赖: gcc-4.3-base (= 4.3.2-1ubuntu11) 但是它不是可安装的
libgomp1: 依赖: gcc-4.3-base (= 4.3.2-1ubuntu11) 但是它不是可安装的
gcc-4.3: 依赖: gcc-4.3-base (= 4.3.2-1ubuntu11) 但是它不是可安装的
libgcc1: 依赖: gcc-4.3-base (= 4.3.2-1ubuntu11) 但是它不是可安装的
cpp-4.3: 依赖: gcc-4.3-base (= 4.3.2-1ubuntu11) 但是它不是可安装的
打开:1;关闭;0;defer: 0; 冲突;1 .未能解决依赖关系!放弃...
下列软件包是“破损”的:
cpp-4.3 gcc-4.3 libgcc1 libgomp1 libstdc++6
下列软件包将被“删除”:
gcc-4.3-base [4.3.3-5ubuntu4]
0 个软件包被升级,新安装0 个, 1 个将被删除, 同时 0 个将不升级。
需要获取 0B 的存档。 解包后将释放 168kB。
Resolve these dependencies by hand? [N/+/-/_/:/?]

我尝试‘_’,‘—’再加上文件名都不能删除,其他操作也不行,请问应该怎么做?
『现在暂时无法上网,不过以上软件都有本地软件包』
再就是我应该删那些包呢?
我是个纯正菜鸟,刚从Windows里解脱,谢谢了。


_________________
个位数价格米国高速VPN什么的最便宜了。cheapvpn@outlook.com
http://akari.li


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 各位看看为什么我的Ku要自杀?
帖子发表于 : 2009-05-28 20:43 
头像

注册: 2006-10-21 12:03
帖子: 1746
地址: Shanghai
送出感谢: 0 次
接收感谢: 0 次
apt-get reinstall gcc-4.3-base --nodeps 强制忽略依赖问题重装 gcc-4.3-base


_________________
.

私人空间
附有 Magic Linux 2.1 最新开发日志~
引用:


미안하다, 사랑한다




欢迎来 #xfce-cn 中文频道~~


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 各位看看为什么我的Ku要自杀?
帖子发表于 : 2009-06-07 22:53 
头像

注册: 2008-01-12 21:15
帖子: 201
地址: 南昌
送出感谢: 0 次
接收感谢: 0 次
:em06 GCC 问题 没法编译了~


_________________
我的 BLOG www.gcome.info
AMD X2 4600+
2GX2
ONDA A78GT/128M
ST 640G


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 各位看看为什么我的Ku要自杀?
帖子发表于 : 2009-06-09 21:42 

注册: 2008-10-31 22:12
帖子: 6546
系统: 践兔
送出感谢: 18
接收感谢: 25
肯定要联网
按你的提示应该先联网,然后
引用:
sudo aptitude update
sudo aptitude reinstall gcc-4.3-base gcc


或者sudo aptitude,然后按/,输入gcc然后找到gcc,按回车,选版本,其他一样操作


_________________
代码:
] ls -ld //


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 6 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译